Skip to content

Update Accounts ​

Endpoint ​

http
PATCH /unified/accounting/accounts/{id}
Integrations supported
  • Oracle Netsuite

Path parameters ​

id
string
REQUIRED · 

The ID of the resource.

Example: 23423523

Query parameters ​

Refer Specifying query parameters in Truto APIs

integrated_account_id
string · uuid
REQUIRED · 

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_format
string

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

All possible enum values:
  • unified
  • raw
  • normalized
  • stream
Example: unified
truto_ignore_remote_data
boolean

Excludes the remote_data attribute from the response.

truto_exclude_fields
array

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_query
object

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body ​

Refer Writing data using Unified APIs

name
string
REQUIRED · 

The name of the account

Supported in
  • Oracle Netsuite
status
string

The status of the account. If no clear mapping exists, then raw value is returned.

All possible enum values:
  • active
  • archived
  • pending
Supported in
  • Oracle Netsuite
account_number
string

Represents the bank account number if the account is of type bank account.

Supported in
  • Oracle Netsuite
parent_account
string

The ID of the parent account of the account

References: Accounts → id
Supported in
  • Oracle Netsuite
description
string

The description of the account

Supported in
  • Oracle Netsuite
remote_data
object

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body ​

id
string
REQUIRED · 

The unique identifier for the account

name
string
REQUIRED · 

The name of the account

description
string

The description of the account

classification
string

The classification of the account. If no clear mapping exists, then raw value is returned.

All possible enum values:
  • asset
  • equity
  • expense
  • liability
  • revenue
  • bank
type
string

The more specific classification of the account

All possible enum values:
  • fixed_asset
  • long_term_liability
  • equity
  • expense
  • bank
  • current
  • current_liability
  • other_income
  • direct_costs
  • other_expenses
  • income
  • other_asset
  • accounts_receivable
  • accounts_payable
  • credit_card
  • sales
  • pre_payment
  • liability
  • inventory
  • depreciation
  • wages_expense
  • super_annuation_liability
  • super_annuation_expense
  • payg_liability
  • payroll_liability
  • asset
  • equipment
  • accumulated_depreciation
  • distribution_to_shareholders
  • cash
  • interest_expense
  • rent_expense
  • utilities_expense
  • maintenance_expense
  • advertising_expense
  • fees_expense
  • bad_debt_expense
  • cost_of_goods_sold
  • other_liability
  • other_current_liability
  • other_current_asset
status
string

The status of the account. If no clear mapping exists, then raw value is returned.

All possible enum values:
  • active
  • archived
  • pending
current_balance
number

The current balance of the account

currency
string

The currency of the account

account_number
string

Represents the bank account number if the account is of type bank account.

parent_account
string

The ID of the parent account of the account

References: Accounts → id
company
string

The ID of the company the account belongs to

References: CompanyInfo → id
created_at
string · date-time

This represents the date when the accounts was created

updated_at
string · date-time

This represents the date when the accounts was updated

etag
string

The unique identifier for the specific version of the resource.

remote_data
object

Raw data returned from the remote API call.